/*  fgwirc - fungw based minimal irc client
    Copyright (C) 2019  Tibor 'Igor2' Palinkas

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

    Project page and contact: http://repo.hu/projects/fgwirc
*/

#include <stdarg.h>
#include <genvector/gds_char.h>
#include "util.h"

char *str_concat(const char *str, ...)
{
	va_list ap;
	const char *a;
	gds_t s;

	gds_init(&s);
	gds_append_str(&s, str);
	va_start(ap, str);
	while((a = va_arg(ap, const char *)) != NULL)
		gds_append_str(&s, a);
	va_end(ap);
	return s.array;
}
