/* *****
   For all these calls id should be SOCKEV_NEW or
   an id returned by sockev_cfg_hooks() called with SOCKEV_NEW
   ***** */

/* listen on hostname:port with the given backlog; any argument may be NULL/0
   to get defaults; returns socket ID or -1 */
sockev_t sockev_tcp4_listen(sockev_t id, const char *hostname, int port, int backlog);

/* accept a connection on listener_sockev; returns socket ID or -1 */
sockev_t sockev_tcp4_accept(sockev_t id, sockev_t listener_sockev);

/* connect to remote service at hostname:port; returns socket ID or -1 */
sockev_t sockev_tcp4_connect(sockev_t id, const char *hostname, int port);

/* connect with local binding; same as sockev_connect but allows binding
   local hostname:port */
sockev_t sockev_tcp4_connectb(sockev_t id, const char *hostname, int port, const char *lhostname, int lport);
